Bug 838243 - [abrt] nethogs-0.8.0-3.fc17: strcpy: Process /usr/sbin/nethogs was killed by signal 6 (SIGABRT)
[abrt] nethogs-0.8.0-3.fc17: strcpy: Process /usr/sbin/nethogs was killed by ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nethogs (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anderson Silva
Fedora Extras Quality Assurance
abrt_hash:364f5f51f4e2107aa8f5ecdb084...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-07 15:08 EDT by Devil Persian
Modified: 2013-03-07 08:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-07 08:48:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.62 KB, text/plain)
2012-07-07 15:08 EDT, Devil Persian
no flags Details

  None (edit)
Description Devil Persian 2012-07-07 15:08:24 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        nethogs T-Mobile - Internet/WebConnect
crash_function: strcpy
executable:     /usr/sbin/nethogs
kernel:         3.4.0-1.fc17.i686.PAE
pid:            2928
pwd:            /root
time:           Tue 19 Jun 2012 04:31:59 AM IRDT
uid:            0
username:       root

backtrace:      Text file, 6780 bytes

build_ids:
:3e8db068ebbfae69654767b42d9b0475c53121e7
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:8b8fc79f6d14471ef212188db7d5b8e916825c88
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:757d0ed5f496fc377d8558caf8987cefa4679f96
:380dcbf48fde06b654f5629d24f7a711ac8e35a1
:ae2b9775d31a4657ef48e9dd91b57ebfde28cd5a
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:d8ee72361a3c11e8e0c2a9f45d3441a2ca8fa8c3

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/evil/3

core_backtrace:
:e414308f1b40a11d99a2a34a600bc6c6529900d3 0x424 __kernel_vsyscall linux-gate.so.1 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x2e95f raise libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x302b3 abort libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x6c7b5 __libc_message libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x109d15 __fortify_fail libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x107d6a __chk_fail libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x107055 __strcpy_chk libc.so.6 -
:380dcbf48fde06b654f5629d24f7a711ac8e35a1 0x2d07 - [exe] -
:380dcbf48fde06b654f5629d24f7a711ac8e35a1 0x1e68 - [exe] -

dso_list:
:/usr/lib/libncurses.so.5.9 ncurses-libs-5.9-4.20120204.fc17.i686 (Fedora Project) 1339792222
:/usr/lib/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.i686 (Fedora Project) 1339792222
:/usr/sbin/nethogs nethogs-0.8.0-3.fc17.i686 (Fedora Project) 1340063273
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339792208
:/usr/lib/libpcap.so.1.2.1 libpcap-14:1.2.1-2.fc17.i686 (Fedora Project) 1339792248
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339792208
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339792208
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1339792199
:/usr/lib/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.i686 (Fedora Project) 1339792223
:/usr/lib/libm-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339792208

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=localhost.localdomain
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=root
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:MAIL=/var/spool/mail/root
:PATH=/usr/lib/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin
:PWD=/root
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/root
:LOGNAME=root
:QTLIB=/usr/lib/qt-3.3/lib
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/evil
:XAUTHORITY=/root/.xauth3Ymwwh
:_=/sbin/nethogs

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15991                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15991                15991                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:08048000-08053000 r-xp 00000000 fd:01 1711195    /usr/sbin/nethogs
:08053000-08054000 rw-p 0000a000 fd:01 1711195    /usr/sbin/nethogs
:083dc000-083fd000 rw-p 00000000 00:00 0          [heap]
:45b27000-45b46000 r-xp 00000000 fd:01 1740214    /usr/lib/ld-2.15.so
:45b46000-45b47000 r--p 0001e000 fd:01 1740214    /usr/lib/ld-2.15.so
:45b47000-45b48000 rw-p 0001f000 fd:01 1740214    /usr/lib/ld-2.15.so
:45b4e000-45cf6000 r-xp 00000000 fd:01 1740215    /usr/lib/libc-2.15.so
:45cf6000-45cf8000 r--p 001a8000 fd:01 1740215    /usr/lib/libc-2.15.so
:45cf8000-45cf9000 rw-p 001aa000 fd:01 1740215    /usr/lib/libc-2.15.so
:45cf9000-45cfc000 rw-p 00000000 00:00 0 
:45cfe000-45d01000 r-xp 00000000 fd:01 1740223    /usr/lib/libdl-2.15.so
:45d01000-45d02000 r--p 00002000 fd:01 1740223    /usr/lib/libdl-2.15.so
:45d02000-45d03000 rw-p 00003000 fd:01 1740223    /usr/lib/libdl-2.15.so
:45d05000-45d2e000 r-xp 00000000 fd:01 1740229    /usr/lib/libm-2.15.so
:45d2e000-45d2f000 r--p 00028000 fd:01 1740229    /usr/lib/libm-2.15.so
:45d2f000-45d30000 rw-p 00029000 fd:01 1740229    /usr/lib/libm-2.15.so
:45db0000-45dcc000 r-xp 00000000 fd:01 1740230    /usr/lib/libgcc_s-4.7.0-20120507.so.1
:45dcc000-45dcd000 rw-p 0001b000 fd:01 1740230    /usr/lib/libgcc_s-4.7.0-20120507.so.1
:460f2000-461d2000 r-xp 00000000 fd:01 1740287    /usr/lib/libstdc++.so.6.0.17
:461d2000-461d6000 r--p 000e0000 fd:01 1740287    /usr/lib/libstdc++.so.6.0.17
:461d6000-461d7000 rw-p 000e4000 fd:01 1740287    /usr/lib/libstdc++.so.6.0.17
:461d7000-461de000 rw-p 00000000 00:00 0 
:46a03000-46a20000 r-xp 00000000 fd:01 1732591    /usr/lib/libtinfo.so.5.9
:46a20000-46a22000 r--p 0001c000 fd:01 1732591    /usr/lib/libtinfo.so.5.9
:46a22000-46a23000 rw-p 0001e000 fd:01 1732591    /usr/lib/libtinfo.so.5.9
:46fd7000-46ffa000 r-xp 00000000 fd:01 1740416    /usr/lib/libncurses.so.5.9
:46ffa000-46ffb000 r--p 00022000 fd:01 1740416    /usr/lib/libncurses.so.5.9
:46ffb000-46ffc000 rw-p 00023000 fd:01 1740416    /usr/lib/libncurses.so.5.9
:47054000-4708e000 r-xp 00000000 fd:01 1740411    /usr/lib/libpcap.so.1.2.1
:4708e000-4708f000 ---p 0003a000 fd:01 1740411    /usr/lib/libpcap.so.1.2.1
:4708f000-47090000 r--p 0003a000 fd:01 1740411    /usr/lib/libpcap.so.1.2.1
:47090000-47091000 rw-p 0003b000 fd:01 1740411    /usr/lib/libpcap.so.1.2.1
:b7756000-b775a000 rw-p 00000000 00:00 0 
:b7778000-b777a000 rw-p 00000000 00:00 0 
:b777a000-b777b000 r-xp 00000000 00:00 0          [vdso]
:bf806000-bf827000 rw-p 00000000 00:00 0          [stack]

open_fds:
:0:/dev/pts/1
:1:/dev/pts/1
:2:/dev/pts/1
:3:socket:[172792]
:4:/dev/tty

smolt_data:
:
:
:General
:=================================
:UUID: bbdc4ae6-6a43-4bb3-a7f3-64458bd8494d
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3990.31
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7300  @ 2.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2001
:System Memory: 2016
:System Swap: 255
:Vendor: Dell Inc.
:System: Vostro 1500 
:Form factor: Portable
:Kernel: 3.4.3-1.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:4136:552) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:4136:552) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10302:4136:552) pci, i801_smbus, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10280:4136:552) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller
:(32902:10320:4136:552) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:4136:552) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(5348:17169:4136:7) pci, b43-pci-bridge, NETWORK, Wireless 1390 WLAN Mini-Card
:(32902:9288:4136:552) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:4136:552) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:4136:552) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10290:4136:552) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(4480:1426:4136:552) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2130:4136:552) pci, None, BASE, xD-Picture Card Controller
:(4480:2098:4136:552) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4136:552) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(5348:5900:4136:552) pci, b44, ETHERNET, BCM4401-B0 100Base-TX
:(32902:10309:4136:552) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
:(32902:10303:4136:552) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4136:552) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10315:4136:552) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:4136:552) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:4136:552) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(4318:1031:4136:552) pci, nouveau, VIDEO, G84 [GeForce 8600M GT]
:(32902:10294:4136:552) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:4136:552) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_Root / ext4 4096 4096 10004428 4352409 3851059 2506752 2225624 2225624
:/dev/sda8 /boot ext4 1024 1024 508644 402775 377175 128016 127667 127667
:/dev/sdb1 WITHHELD fuseblk 8192 8192 1980687 678629 678629 5494568 5494246 5494246
:

var_log_messages:
:Jun 19 04:17:54 localhost yum[2458]: Installed: nethogs-0.8.0-3.fc17.i686
:Jun 19 04:31:59 localhost abrt[2929]: Saved core dump of pid 2928 (/usr/sbin/nethogs) to /var/spool/abrt/ccpp-2012-06-19-04:31:59-2928 (483328 bytes)
Comment 1 Devil Persian 2012-07-07 15:08:31 EDT
Created attachment 596800 [details]
File: backtrace
Comment 2 Anderson Silva 2013-02-13 09:28:54 EST
this issue should probably be reported upstream: http://sourceforge.net/tracker/?group_id=110349&atid=656353&source=navbar

Note You need to log in before you can comment on or make changes to this bug.